curl --request PUT \
--url 'https://crm.wavups.com/api/v1/chat-sector/csector001' \
--header 'Token: SEU_TOKEN_DE_API' \
--header 'Content-Type: application/json' \
--data '{
"name": "Suporte Nível 2",
"color": "#22C55E"
}'
{
"id": "csector001",
"name": "Suporte Nível 2",
"accountIntegration": "cintegration123",
"description": "Setor responsável por suporte ao cliente",
"color": "#22C55E",
"membersCanViewAllConversations": true,
"createdAt": "2025-08-10T09:00:00.000Z",
"AccountIntegration": {
"integrationAccountName": "+5511988887777"
}
}
{
"error": "Chat sector not found"
}
{
"error": "Error to update chat sector"
}
Setores do Chat
Atualizar Setor do Chat
Atualiza as informações de um setor de chat existente.
PUT
/
chat-sector
/
{id}
curl --request PUT \
--url 'https://crm.wavups.com/api/v1/chat-sector/csector001' \
--header 'Token: SEU_TOKEN_DE_API' \
--header 'Content-Type: application/json' \
--data '{
"name": "Suporte Nível 2",
"color": "#22C55E"
}'
{
"id": "csector001",
"name": "Suporte Nível 2",
"accountIntegration": "cintegration123",
"description": "Setor responsável por suporte ao cliente",
"color": "#22C55E",
"membersCanViewAllConversations": true,
"createdAt": "2025-08-10T09:00:00.000Z",
"AccountIntegration": {
"integrationAccountName": "+5511988887777"
}
}
{
"error": "Chat sector not found"
}
{
"error": "Error to update chat sector"
}
Requisição
PUT https://crm.wavups.com/api/v1/chat-sector/{id}
string
required
Seu token de autenticação.
string
required
ID do setor de chat.
Body Parameters
string
Novo nome do setor.
string
Novo ID de integração de conta.
string
Nova descrição do setor.
string
Nova cor em formato hexadecimal (ex:
#22C55E).boolean
Nova permissão para membros visualizarem todas as conversas do setor.
Resposta
Retorna o objeto do setor atualizado.string
Identificador único do setor.
string
Nome atualizado do setor.
string
ID da integração vinculada.
string | null
Descrição.
string | null
Cor hexadecimal.
boolean
Permissão de visualização de conversas.
string
Data de criação (ISO 8601).
Exemplos
curl --request PUT \
--url 'https://crm.wavups.com/api/v1/chat-sector/csector001' \
--header 'Token: SEU_TOKEN_DE_API' \
--header 'Content-Type: application/json' \
--data '{
"name": "Suporte Nível 2",
"color": "#22C55E"
}'
{
"id": "csector001",
"name": "Suporte Nível 2",
"accountIntegration": "cintegration123",
"description": "Setor responsável por suporte ao cliente",
"color": "#22C55E",
"membersCanViewAllConversations": true,
"createdAt": "2025-08-10T09:00:00.000Z",
"AccountIntegration": {
"integrationAccountName": "+5511988887777"
}
}
{
"error": "Chat sector not found"
}
{
"error": "Error to update chat sector"
}
Authorizations
Token de autenticacao gerado na plataforma WavUps CRM.
Path Parameters
Identificador único do recurso.
Body
application/json

